2009-04-18  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/backendgvfs.c:
   Use a counter with a timeout for a more accurate approximation
   of finished network browsing.
 * New release: Gigolo 0.3.2.


2009-04-14  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/browsenetworkpanel.c:
   Show 'No Workgroups/Hosts/Shares found' messages in the network
   browser if appropriate.
   Expand the nodes in the network browser on the fly while they are
   added.
 * src/backendgvfs.c, src/bookmarkeditdialog.c:
   Use gtk_list_store_insert_with_values() instead of
   gtk_list_store_append() and gtk_list_store_set().


2009-04-09  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarkdialog.c, src/window.c, src/window.h, src/backendgvfs.c,
   src/backendgvfs.h, src/main.c, src/bookmarkeditdialog.c,
   src/browsenetworkpanel.c, src/common.h:
   Rework the whole network browsing code:
   Since GVfs doesn't auto-mount smb:// anymore by default, we need
   to mount it manually if necessary in order to be able to use it.


2009-04-06  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/browsenetworkpanel.c:
   Fix wrongly opening the Connect dialog when clicking on domains
   without hosts in the Browse Network panel.


2009-04-04  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/window.c:
   Move the view mode options back directly into the View menu.
 * New release: Gigolo 0.3.1.


2009-04-01  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/window.c:
   Present the main window when the status icon is removed.
 * src/backendgvfs.c, src/backendgvfs.h, src/browsenetworkpanel.c:
   Fix build for GTK 2.12.
 * src/preferencesdialog.c, src/window.c:
   Make the connection list view mode options in the preferences dialog
   and in the main window's View menu more unique.


2009-04-02  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/window.c:
   Set the 'is-important' flag for actions 'Bookmark' and
   'EditBookmarks'.


2009-03-31  Enrico Tröger  <enrico(at)xfce(dot)org>

 * New release: Gigolo 0.3.0.


2009-03-29  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/main.c, src/window.c:
   Minimise to tray on delete-event (close button) instead of
   when minimising the main window.
 * src/backendgvfs.c, src/backendgvfs.h, src/browsenetworkpanel.c,
   src/preferencesdialog.c, src/settings.c, src/window.c, src/window.h:
   Add a new preference to set whether to show error message dialogs
   when auto-connecting bookmarks.


2009-03-26  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/settings.c:
   When starting without an existing configuration, check whether
   GIO_USE_VOLUME_MONITOR is set and if so, use its value as default.
 * src/backendgvfs.c:
   Don't show error message dialog when auto-connecting bookmarks.
 * src/bookmark.c:
   Improve extracting the share name of an URI.
   Extract also domain names from usernames (e.g.
   "smb://mydomain;myusername@host/share").
   Extract share names only for smb:// URIs.
 * src/backendgvfs.c, src/bookmark.c, src/bookmark.h,
   src/browsenetworkpanel.c, src/common.c, src/common.h, src/main.c,
   src/main.h, src/settings.c, src/window.c:
   Refactor some code.
 * tests/uri_parsing.c, configure, waf, wscript:
   Add tests for the URI parsing code.


2009-03-22  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarkdialog.c, src/bookmarkdialog.h, src/bookmarkeditdialog.c,
   src/bookmarkeditdialog.h, src/browsenetworkpanel.c,
   src/browsenetworkpanel.h, src/window.c:
   Pass a GigoloWindow instance as parent argument instead of a
   GtkWindow instance because we actually require a GigoloWindow.


2009-03-21  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarkdialog.c, src/bookmarkdialog.h, src/bookmarkeditdialog.c,
   src/bookmarkeditdialog.h, src/browsenetworkpanel.c,
   src/preferencesdialog.c, src/window.c, src/window.h:
   Add gigolo_window_get_settings() to not have to pass the settings
   object to so many other classes.
 * src/window.c:
   Add a View menu to quickly change GUI preferences.
 * src/main.c, src/preferencesdialog.c:
   Disable the 'Start Minimized' checkbox when showing the Status Icon
   is disabled to prevent a window-less process.


2009-03-20  Enrico Tröger  <enrico(at)xfce(dot)org>

 * po/POTFILES.in, src/browsenetworkpanel.c,
   src/browsenetworkpanel.h, src/Makefile.am, src/window.c, wscript:
   Remove the 'Browse Network' dialog and add a side panel instead to
   show a list of Samba shares/workgroups.
 * src/browsenetworkpanel.c, src/preferencesdialog.c, src/settings.c,
   src/window.c:
   Add a preference to show/hide the 'Browse Network' side panel.


2009-03-19  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/browsenetworkdialog.c, src/backendgvfs.c, src/backendgvfs.h:
   When browsing the network for Samba shares, first query "smb://"
   for workgroups, then query each workgroup for hosts and then
   the found hosts for shares.


2009-03-17  Enrico Tröger  <enrico(at)xfce(dot)org>

 * gigolo.1.in, src/Makefile.am, src/main.c, src/singleinstance.c,
   src/singleinstance.h, wscript:
   Detect an already running instance and show its window instead of
   starting a new instance.
   Add command line option "--new-instance" ("-i") to restore the
   old behaviour.
 * src/browsenetworkdialog.c:
   Disable the Connect and Create Bookmark actions in the 'Browse
   Network' dialog on parent items.
 * src/bookmarkdialog.c:
   Use a Close button to close the dialog instead of a OK button.
 * src/browsenetworkdialog.c, src/window.c, src/window.h:
   Disable the 'Create Bookmark' action in the 'Browse Network' dialog
   when the selected share is already bookmarked.


2009-03-05  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/backendgvfs.c, src/backendgvfs.h, src/bookmarkeditdialog.c,
   src/browsenetworkdialog.c, src/browsenetworkdialog.h, src/main.c,
   src/Makefile.am, src/window.c, src/window.h, wscript:
   Implement 'Browse Network' dialog to browse a Samba/Windows network
   for available hosts and shares.


2009-03-02  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/common.c, src/bookmarkeditdialog.c:
   Add a separate service type for Obex connections in the
   Connect/Bookmark Edit dialogs.
 * src/window.c:
   Add Online Help and Supported Protocols help menu items.


2009-03-01  Enrico Tröger  <enrico(at)xfce(dot)org>

 * po/POTFILES.in, src/Makefile.am, src/backendgvfs.c,
   src/backendgvfs.h, src/compat.c, src/compat.h, src/mountoperation.c,
   src/mountoperation.h, src/window.c, wscript:
   Use the native GtkMountOperation dialog when additional
   authentication information are needed.
   This implicitly allows choosing the method to store passwords
   (never, session, forever).
 * src/backendgvfs.c, src/backendgvfs.h, src/bookmarkeditdialog.c:
   Implement browsing for smb shares in the Connect/Bookmark Edit
   dialogs to easily select them.
 * src/bookmark.c:
   Fix creation of smb:// URIs from bookmarks when a domain is set but
   no username.
 * src/backendgvfs.c, src/backendgvfs.h, src/main.c,
   src/bookmarkeditdialog.c:
   Add gigolo_backend_gvfs_get_supported_uri_schemes() and use it to
   avoid calling GIO/GVfs functions outside of the backend class.


2009-02-28  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/backendgvfs.c:
   Cache the domain string when it is passed to the password dialog.
 * src/backendgvfs.c, src/backendgvfs.h, src/bookmark.c,
   src/passworddialog.c, src/passworddialog.h, src/window.c:
   Instead of passing a stored domain value to the password dialog,
   pass it already in the URI while connecting.


2009-02-22  Enrico Tröger  <enrico(at)xfce(dot)org>

 * New release: Gigolo 0.2.1.


2009-02-16  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarks.c:
   Don't strip the square brackets when parsing Obex URIs to prevent
   storing invalid URIs.
 * src/window.c:
   Fix a wrong check when checking for existing bookmarks, fixes always
   disabled 'Create Bookmark' menu item.
 * src/backendgvfs.c, src/bookmark.c, src/bookmark.h,
   src/bookmarkeditdialog.c, src/window.c:
   Escape the userinfo part of URIs to allow at-signs.


2009-02-13  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/preferencesdialog.c:
   Don't modify the colours of the Xfce header widget.
 * New release: Gigolo 0.2.0.


2009-02-09  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/main.c:
   Fix missing startup completion notification when
   "start-in-systray" is used.
 * src/backendgvfs.c, src/bookmark.c, src/bookmarkdialog.c,
   src/bookmarkeditdialog.c, src/menubuttonaction.c, src/mountdialog.c,
   src/passworddialog.c, src/preferencesdialog.c, src/settings.c,
   src/window.c:
   Use the G_DEFINE_TYPE() macro to generate the *_get_type() code.
 * src/window.c, src/backendgvfs.c, src/mountdialog.c,
   src/bookmarkdialog.c, src/preferencesdialog.c:
   Prefer 'Connect' to 'Mount' in user-visible strings for consistency.
 * src/window.c:
   Remember the main window's show state and don't query the window's
   maximised state on exit when it is not shown at all.


2009-02-04  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarkeditdialog.c:
   Prevent setting an invisible/unsupported item in the scheme combo
   box, fallback to Custom Location.


2009-01-31  Enrico Tröger  <enrico(at)xfce(dot)org>

 * *.*:
   Change application name to 'Gigolo'.
   Rename everything to 'Gigolo'.
 * waf, wscript:
   Update to Waf 1.5.3 and use new syntax in the wscript.


2009-01-26  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/window.c:
   Make 'Connect' insensitive for connected resources.
   Allow also mounting resources by toggling the 'Mounted' checkbox.
 * src/backendgvfs.c:
   Ignore empty CDs which are listed as mounted by GVfs.


2009-01-25  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/main.c, src/preferencesdialog.c, src/window.c:
   Add an option to start minimized.
 * src/bookmarkeditdialog.c, src/common.c:
   Add a hack to make the 'davs://' scheme also available even if GVfs
   tells to not support it (GVfs bug #538461).
 * README, sion.1.in, src/main.c, src/window.c:
   Fix spelling of GVfs.
 * po/POTFILES.in, src/Makefile.am, src/backendgvfs.c,
   src/backendgvfs.h, src/common.c, src/common.h,
   src/mountdialog.c, src/mountdialog.h, src/preferencesdialog.c,
   src/window.c, src/window.h:
   Show a progressbar dialog when mounting bookmarks.
   Move sion_get_application_icon_name() to common.c.
   Some minor cleanups.
 * src/window.c:
   Allow unmounting resources by toggling the 'Mounted' checkbox.


2009-01-19  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/main.c:
   Print version information when running in verbose mode.
 * src/window.c:
   Add a 'Copy URI' menu item to the actions menu.
 * src/settings.c, src/settings.h, src/window.c:
   Save settings when the preferences dialog is closed.
   Save bookmarks when the bookmark dialog is closed and when a new
   bookmark was created using the connection menu.


2009-01-12  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/main.c:
   Make user-defined keyboard shortcuts for menu items persistent.
 * src/preferencesdialog.c:
   Add a separator between the heading and the content in the prefs
   dialog to make it look more like the original.
 * src/window.c:
   Add tooltips for toolbar items.


2009-01-11  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/backendgvfs.c:
   Fix crashes with older GVFS versions
   (#4794, patch by Colin Leroy, thanks).
 * src/bookmarkdialog.c, src/preferencesdialog.c, src/settings.c,
   src/window.c:
   Make bookmark auto connect interval configurable.
 * src/bookmarkeditdialog.c:
   Hide auto connect label also for the Connect dialog.
   Fix mnemonics.
 * src/window.c:
   Fix 'Minimize to tray'.
 * src/backendgvfs.c, src/bookmark.c, src/bookmarkdialog.c, src/main.c,
   src/bookmarkeditdialog.c, src/common.c, src/menubuttonaction.c,
   src/passworddialog.c, src/settings.c, src/window.c, wscript:
   Change used comments to multi-line variants.
   Add -ansi to debug compile flags.


2009-01-10  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarkeditdialog.c:
   Fix "This bookmark already exists" warning when editing an existing
   bookmark (patch by Colin Leroy, thanks).
 * THANKS, src/bookmark.c, src/bookmark.h, src/settings.c:
   Try to connect to auto-connect bookmarks at startup and every
   minute. Clicking Disconnect cancels autoconnection for the
   running instance (patch by Colin Leroy, thanks).


2009-01-06  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmarkdialog.c, src/bookmarkeditdialog.c,
   src/bookmarkeditdialog.h, src/window.c:
   Don't allow entering duplicate bookmark names.
   When any input was missing or wrong in the Bookmark Edit dialog, put
   the input focus back to the text entry which failed.
 * src/bookmark.c:
   Allow '@' in usernames when parsing URIs.


2009-01-02  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/compath.c, src/compat.h:
   Add sion_toolbar_set_orientation().
 * src/bookmarkeditdialog.c, src/window.c:
   Fix a few strings.
 * First public release: Sion 0.1.0


2008-12-30  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/backendgvfs.c, src/bookmarkdialog.c, src/bookmarkeditdialog.c,
   src/compat.c, src/compat.h, src/main.c, src/menubuttonaction.c,
   src/passworddialog.c, src/preferencesdialog.c, src/window.c, wscript:
   Enable more compiler warning options and fix some warnings.
 * src/preferencesdialog.c:
   Add a label for the HAL/Unix volume manager setting to make clearer
   what the setting is about.
   Redesign the dialog using a notebook tabs instead of frames for the
   various settings.


2008-12-29  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/common.c, src/common.h, src/bookmark.c, src/window.c:
   Don't add the port number to URIs when it is the default port number.
   Fix 'Create Bookmark' sensitiveness.
   When using 'Create Bookmark' show a dialog to edit the new bookmark
   before saving it.
 * src/bookmarkdialog.c, src/bookmarkeditdialog.c, src/window.c,
   src/bookmarkeditdialog.h, src/common.c, src/common.h, src/window.h:
   Move sion_error_dialog() into common.c.
   Implement basic input validation for the Bookmark Edit dialog.


2008-12-28  Enrico Tröger  <enrico(at)xfce(dot)org>

 * wscript, Makefile.am:
   Install additional documentation files by default (README, ...).


2008-12-21  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/bookmark.c:
   Fix crash when parsing an URI without a proper scheme (bug #4730).
 * src/window.c:
   Minimise to tray if enabled.
 * src/menubuttonaction.c:
   Emit the "button-clicked" only if a toolbar button was clicked.


2008-12-19  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/Makefile.am, README, configure.ac, Makefile.am, autogen.sh:
   Add support for building Sion with autotools.
 * configure:
   Remove coloured output.
   Remove unnecessary checks and code and avoid using 'which'.
 * src/window.c:
   Sort bookmarks always automatically.


2008-12-18  Enrico Tröger  <enrico(at)xfce(dot)org>

 * waf, wscript:
   Update waf, make use of its 'gnu_dirs' tool and fix some minor
   issues.


2008-12-14  Enrico Tröger  <enrico(at)xfce(dot)org>

 * src/window.c:
   Fix missing clicked callback for the Connect toolbar button.
   Various small fixes and cleanup.
 * src/bookmarkeditdialog.c, src/bookmark.c:
   Allow empty values for usernames.
 * src/backendgvfs.c, src/backendgvfs.h, src/bookmark.c,
   src/bookmarkeditdialog.c, src/bookmark.h, src/passworddialog.c,
   src/passworddialog.h, src/settings.c:
   Use default username and domain name provided by GVFS in the password
   dialog.
   Add domain and share fields for bookmarks to improve Samba support.
 * src/bookmarkeditdialog.c:
   Display share and domain fields in the bookmark dialog.
 * src/backendgvfs.c, src/bookmarkdialog.c, src/bookmarkeditdialog.c,
   src/common.c, src/common.h, src/window.c:
   Use more descriptive strings when displaying URI schemes.


2008-12-13  Enrico Tröger  <enrico(at)xfce(dot)org>

 * configure, Makefile, src/Makefile:
   Fix creation of the Makefile and usage of --prefix=...
 * src/settings.c:
   Use "gvfs-open" as default file manager command.

